summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-10-17 17:31:15 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-10-17 17:31:15 +0200
commit7d04e923bc874bb602f69bd7c6947ed610d18fee (patch)
tree33184f4909e29923b25a90fc60c920f9e76a2dc6 /scripts/scan-pkgs.sh
parent25683df22c6781907b98eeb3ea441e56c7c3f45a (diff)
check for dpkg-architecture on Debian and Ubuntu hosts, otherwise python2 host zlib module isn't build
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 7fa68822a..e611f4269 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -19,10 +19,17 @@ test -z "$BASH_VERSION$KSH_VERSION" && exec $BASH $0 "$@"
[[ -n $BASH_VERSION ]] && shopt -s extglob
topdir=$(readlink -nf $(dirname $0)/.. 2>/dev/null || (cd $(dirname $0)/..; pwd -P))
OStype=$(uname)
+isdeb=$(uname -a|grep '\(Debian\|Ubuntu\)')
out=0
. $topdir/.config
+if [ $isdeb -eq 0 ];then
+ if [[ -n $ADK_COMPILE_PYTHON2 ]]; then
+ NEED_DPKG_ARCHITECTURE="$NEED_DPKG_ARCHITECTURE python2"
+ fi
+fi
+
if [[ -n $ADK_NATIVE ]];then
if [[ -n $ADK_PACKAGE_NEON ]];then
NEED_LIBXML2_DEV="$NEED_LIBXML2_DEV neon"
@@ -490,6 +497,13 @@ if [[ -n $NEED_MAKEDEPEND ]]; then
fi
fi
+if [[ -n $NEED_DPKG_ARCHITECTURE ]]; then
+ if ! which dpkg-architecture >/dev/null 2>&1; then
+ echo >&2 You need dpkg-architecture to build $NEED_DPKG_ARCHITECTURE
+ out=1
+ fi
+fi
+
if [[ -n $ADK_USE_CCACHE ]]; then
if ! which ccache >/dev/null 2>&1; then
echo >&2 You have selected to build with ccache, but ccache could not be found.